javax.crypto.interfaces

## Interface DHPublicKey

- All Superinterfaces:
    DHKey, Key, PublicKey, Serializable

      public interface DHPublicKey
      extends DHKey, PublicKey

  The interface to a Diffie-Hellman public key.
  Since:
    1.4
  See Also:
    `DHKey`, `DHPrivateKey`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getY()` Returns the public value, `y`.

    - ### Methods inherited from interface javax.crypto.interfaces.DHKey

      `getParams`

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getY

          BigInteger getY()

      Returns the public value, `y`.
      Returns:
        the public value, `y`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.